<style>
{% call sass() %}
#page-years {
    position: relative;
    padding-top: 41px;
    padding-left: 72px;
    padding-right: 72px;

    h1 {
        text-transform: uppercase;
        margin: 0;
    }

    #table {
        margin: auto;
        margin-top: 50px;
        border-collapse: collapse;

        .cell-name, 
        .cell-progress, 
        .cell-years {
            padding-bottom: 10px;
        }

        .cell-name {
            text-align: right;
            padding-right: 16px;

            &.group-name {
                font-size: 21px;
                font-weight: 900;
            }

            &.area-name {
                font-size: 16px;
            }

            .cell-name__descr {
                font-size: 15px;
                font-weight: 300;
            }
        }

        .cell-progress {
            width: 100px;
            border-left: 1px solid rgba(0, 0, 0, .1);
            border-right: 1px solid rgba(0, 0, 0, .1);

            .cell-progress__inactive {
                width: 100%;
                background-color: #C4C4C4;
                opacity: .2;
                height: 7px;
            }

            .cell-progress__active {
                width: 100%;
                background-color: #007799;
                height: 7px;
            }
        }

        .cell-years {
            padding-left: 16px;
            font-size: 16px;
        }
    }
}
{% endcall %}
</style>

{% set year_start = 2013 %}
{% set year_now = 2019 %}

{% set areas = [
    { 
      'group_name': 'WEB and Mobile',
      'areas': [
        {'name': 'Backend', 'descr': 'Python, JavaScript, C#', 'years': 6, 'active_years': [2013, 2014, 2015, 2016, 2017, 2018]}, 
        {'name': 'Frontend', 'descr': 'React, Vue', 'years': 4, 'active_years': [2015, 2016, 2017, 2018]}, 
        {'name': 'DevOps', 'descr': 'Linux, Nginx, Docker, Ansible', 'years': 2, 'active_years': [2017, 2018]},
        {'name': 'Mobile', 'descr': 'React Native', 'years': 1, 'active_years': [2017]}
      ]
    },
    {
        'group_name': 'Analytics and R&D',
        'areas': [
            {'name': 'Computer vision', 'descr': 'OpenCV, Matlab', 'years': 3, 'active_years': [2013, 2014, 2018]},
            {'name': 'Machine learning', 'descr': 'CNN, caffee, tensorflow', 'years': 3, 'active_years': [2013, 2014, 2018]},
            {'name': 'Data science', 'descr': 'R, Matlab, python, decision trees', 'years': 1, 'active_years': [2018]},
        ]
    },
    {
        'group_name': 'Leading',
        'areas': [
            {'name': 'Team leading', 'descr': 'hiring, review, mentoring', 'years': 3, 'active_years': [2015, 2017, 2018]},
            {'name': 'Company leading (CTO)', 'descr': 'hiring, review, mentoring', 'years': 3, 'active_years': [2015, 2017, 2018]},
        ]
    },
    {
        'group_name': 'Robots and embedded',
        'areas': [
            {'name': 'Drones', 'descr': 'C++, ROS', 'years': 3, 'active_years': [2014, 2018]},
        ]
    }
] %}

<div id="page-years">
    <h1>
        {{ translatable({
            'en': 'SUMMARY', 
            'ru': 'ОПЫТ',
            'fr': 'Résumé',
            'es': 'Resumen',
            'zh': '年终总结经验',
            'de': 'Zusammenfassung'
        }, lang) }}
    </h1> 

    <table id="table">
        <tbody>
            {% for areas_group in areas %}
            <tr>
                <td class="cell-name group-name">{{ areas_group.group_name }}</td>
            </tr>
            {% for area in areas_group.areas %}
            <tr>
                <td class="cell-name area-name">
                    <div class="cell-name__name">{{ area['name'] }}</div>
                    {# <div class="cell-name__descr">{{ area['descr'] }}</div> #}
                </td>
                {% for year in range(year_start, year_now) %}
                <td class="cell-progress cell-progress-{{ year }}">
                    {% if year in area['active_years'] %}
                    <div class="cell-progress__active"></div>
                    {% else %}
                    <div class="cell-progress__inactive"></div>
                    {% endif %}
                </td>
                {% endfor %}
                <td class="cell-years">
                    <b>{{ area['years'] }}</b> 
                    {% if lang == 'en' %}
                        year{% if area['years'] > 1 %}s{% endif %}
                    {% elif lang == 'ru' %}
                        {% if area['years'] == 1 %}
                        год
                        {% elif area['years'] == 2 or area['years'] == 3 or area['years'] == 4 %}
                        года
                        {% else %}
                        лет
                        {% endif %}
                    {% elif lang == 'fr' %}
                        {% if area['years'] == 1 %}
                        an
                        {% else %}
                        ans
                        {% endif %}
                    {% elif lang == 'es' %}
                        {% if area['years'] == 1 %}
                        año
                        {% else %}
                        años
                        {% endif %}
                    {% elif lang == 'zh' %}
                        年
                    {% elif lang == 'de' %}
                        {% if area['years'] == 1 %}
                        Jahr
                        {% else %}
                        Jahre
                        {% endif %}
                    {% endif %}
                </td>
            </tr>
            {% endfor %}
            {% endfor %}
            <tr> 
                <td></td> 
                {% for year in range(year_start, year_now) %}
                <td>{{ year }}</td>
                {% endfor %}
                <td>{{ year_now }}</td>
            </tr>
        </tbody>
    </table>
</div>